Package org.wso2.carbon.task

## Class CarbonTaskManagementService

- java.lang.Object
- - org.wso2.carbon.core.AbstractAdmin
  - - org.wso2.carbon.task.CarbonTaskManagementService

-     public class CarbonTaskManagementService
      extends org.wso2.carbon.core.AbstractAdmin

  Web service for Task Management

- - ### Field Summary

    - ### Fields inherited from class org.wso2.carbon.core.AbstractAdmin

      `axisConfig, configurationContext`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CarbonTaskManagementService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `addTaskDescription​(org.apache.axiom.om.OMElement taskElement)` |
    `boolean` | `deleteTaskDescription​(String s, String group)` |
    `void` | `editTaskDescription​(org.apache.axiom.om.OMElement taskElement)` |
    `String[]` | `getAllJobGroups()` |
    `TaskData[]` | `getAllTaskData()` |
    `org.apache.axiom.om.OMElement` | `getAllTaskDescriptions()` |
    `org.apache.axiom.om.OMElement` | `getTaskDescription​(String s, String group)` |
    `boolean` | `isContains​(String s, String group)` |
    `org.apache.axiom.om.OMElement` | `loadTaskClassProperties​(String className, String group)` |

    - ### Methods inherited from class org.wso2.carbon.core.AbstractAdmin

      `getAxisConfig, getConfigContext, getConfigSystemRegistry, getConfigUserRegistry, getGovernanceRegistry, getGovernanceSystemRegistry, getGovernanceUserRegistry, getHttpSession, getLocalRepo, getRegistry, getTenantDomain, getUserId, getUsername, getUserRealm, setConfigurationContext, setPermissionUpdateTimestamp`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CarbonTaskManagementService

          public CarbonTaskManagementService()

  - ### Method Detail

    - #### addTaskDescription

          public boolean addTaskDescription​(org.apache.axiom.om.OMElement taskElement)
                                     throws TaskManagementException

      Throws:
        `TaskManagementException`

    - #### deleteTaskDescription

          public boolean deleteTaskDescription​(String s,
                                               String group)
                                        throws TaskManagementException

      Throws:
        `TaskManagementException`

    - #### editTaskDescription

          public void editTaskDescription​(org.apache.axiom.om.OMElement taskElement)
                                   throws TaskManagementException

      Throws:
        `TaskManagementException`

    - #### getAllTaskDescriptions

          public org.apache.axiom.om.OMElement getAllTaskDescriptions()
                                                               throws TaskManagementException

      Throws:
        `TaskManagementException`

    - #### getTaskDescription

          public org.apache.axiom.om.OMElement getTaskDescription​(String s,
                                                                  String group)
                                                           throws TaskManagementException

      Throws:
        `TaskManagementException`

    - #### getAllTaskData

          public TaskData[] getAllTaskData()
                                    throws TaskManagementException

      Throws:
        `TaskManagementException`

    - #### isContains

          public boolean isContains​(String s,
                                    String group)
                             throws TaskManagementException

      Throws:
        `TaskManagementException`

    - #### loadTaskClassProperties

          public org.apache.axiom.om.OMElement loadTaskClassProperties​(String className,
                                                                       String group)
                                                                throws TaskManagementException

      Throws:
        `TaskManagementException`

    - #### getAllJobGroups

          public String[] getAllJobGroups()